'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _inject = require('./inject');

var _inject2 = _interopRequireDefault(_inject);

var _instance = require('./vdom/instance');

var _instance2 = _interopRequireDefault(_instance);

var _host = require('./vdom/host');

var _host2 = _interopRequireDefault(_host);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function render(element, container, options, callback) {
  // Compatible with `render(element, container, callback)`
  if (typeof options === 'function') {
    callback = options;
    options = null;
  }

  options = options || {};
  // Init inject
  (0, _inject2.default)(options);

  var rootComponent = _instance2.default.mount(element, container, options.parent);
  var componentInstance = rootComponent.getPublicInstance();

  if (callback) {
    callback.call(componentInstance);
  }

  return componentInstance;
}

exports.default = render;
module.exports = exports['default'];